LINUX.ORG.RU

PHP4 и PHP5 одновременно


0

0

Решил реализовать, начал, просто со сборки пхп:
версия 4:
PHP 4.4.7 (cli) (built: Jul 1 2008 12:36:11)
Copyright (c) 1997-2007 The PHP Group
Zend Engine v1.3.0, Copyright (c) 1998-2004 Zend Technologies

версия 5:
PHP 5.2.6 (cli) (built: Jun 24 2008 14:00:31) (DEBUG)
Copyright (c) 1997-2008 The PHP Group
Zend Engine v2.2.0, Copyright (c) 1998-2008 Zend Technologies


Обе версии вовсе без php.ini.


Apache:
Server version: Apache/2.2.4 (Unix)
Server built: Sep 20 2007 12:10:49


В httpd.conf:
.............
LoadModule php4_module modules/libphp4.so
# LoadModule perl_module modules/mod_perl.so
LoadModule rewrite_module modules/mod_rewrite.so
LoadModule php5_module modules/libphp5.so
..........................
ScriptAlias /PHP/ "/soft/server/php/"
Action application/x-httpd-php "/soft/server/php/bin/php"
AddType application/x-httpd-php .htm .html .php .php3 .php4 .phtm .phtml
DirectoryIndex index.htm index.html index.shtm index.shtml index.php index.php3 index.php4


Изменил libphp5.so дескриптор - application/x-httpd-php на application/x-httpd-p5p.

Пока не подключал php5, просто гружу библиотеку. И сразу уже косяки:(
При попытки открыть страницу, получаю пустую страницу в опере и горящей лисе, а ИЕ грит, что вооще ее отобрасить нельзя. При этом в error_log следующее:
[Tue Jul 01 12:39:24 2008] [notice] Apache/2.2.4 (Unix) PHP/4.4.7 PHP/5.2.6 configured -- resuming normal operations
[Tue Jul 01 12:39:26 2008] [notice] child pid 24393 exit signal Segmentation fault (11)
[Tue Jul 01 12:39:26 2008] [notice] child pid 24392 exit signal Segmentation fault (11)


Что это и как сэти бороться, опомгите плиззз, всю голову уже сломал. и обгуглился уже:(

anonymous

Ответ на: Re: PHP4 и PHP5 одновременно от anonymous

Re: PHP4 и PHP5 одновременно

смотрю-смотрю на генту и всё больше мне эта гента нравится. Всё-таки удобно ..

топикстартеру - сколько угодно пхпов и каких угодно пхпов можно назапускать есть использовать fastcgi-php и какой нибудь сервер, который умеет fastcgi (nginx, lighttpd точно могут, да и апач должен бы). Ну и вопрос скорее в админ, чем в веб-разработку по-моему.

AndreyKl ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.